Bug 25156 - [Ser 30] Serialization: Syntax error in "equivalent XSLT code"
Summary: [Ser 30] Serialization: Syntax error in "equivalent XSLT code"
Status: RESOLVED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Serialization 3.0 (show other bugs)
Version: Proposed Recommendation
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: C. M. Sperberg-McQueen
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-26 12:45 UTC by Michael Kay
Modified: 2014-04-27 00:14 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2014-03-26 12:45:19 UTC
In Section 3.1 Setting Serialization Parameters by Means of a Data Model Instance, search for the text "In the case of the use-character-maps parameter", and go down past the XQuery example to the XSLT code. This contains the instruction

<xsl:sequence select="$validated-instance
                          /output:serialization-parameters
                          /output:use-character-maps
                          /output:character-map[@character eq $char
                          /string(@map-string)"/>

which is missing a "]" at the end of the fourth line.
Comment 1 C. M. Sperberg-McQueen 2014-03-29 02:01:50 UTC
Thank you.  I've fixed this in the XML source, so it should come
out all right at the next publication.